Package be.fgov.ehealth.etkdepot._1_0.protocol

# Class GetEtkResponse

java.lang.Object
be.fgov.ehealth.commons._1_0.protocol.ResponseType
be.fgov.ehealth.etkdepot._1_0.protocol.GetEtkResponse

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:10:04+02:00", comments="JAXB RI v4.0.5") public class GetEtkResponse extends ResponseType implements Serializable

Java class for anonymous complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:1_0:protocol}ResponseType">
           <sequence minOccurs="0">
             <element name="GivenSearchCriteria" type="{urn:be:fgov:ehealth:etkdepot:1_0:protocol}SearchCriteriaType"/>
             <choice minOccurs="0">
               <element ref="{urn:be:fgov:ehealth:etkdepot:1_0:protocol}MatchingEtk" maxOccurs="unbounded"/>
               <element name="ETK" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
               <element name="Error" type="{urn:be:fgov:ehealth:etkdepot:1_0:protocol}ErrorType" maxOccurs="unbounded"/>
             </choice>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetEtkResponse()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<ErrorType>`
  `getErrors()`
  Gets the value of the errors property.
  `byte[]`
  `getETK()`
  Gets the value of the etk property.
  `SearchCriteriaType`
  `getGivenSearchCriteria()`
  Gets the value of the givenSearchCriteria property.
  `List<MatchingEtk>`
  `getMatchingEtks()`
  Gets the value of the matchingEtks property.
  `void`
  `setETK(byte[] value)`
  Sets the value of the etk property.
  `void`
  `setGivenSearchCriteria(SearchCriteriaType value)`
  Sets the value of the givenSearchCriteria property.

  ### Methods inherited from class be.fgov.ehealth.commons._1_0.protocol.ResponseType

  `getId, getStatus, setId, setStatus`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GetEtkResponse

    public GetEtkResponse()

- ## Method Details

  - ### getGivenSearchCriteria

    public SearchCriteriaType getGivenSearchCriteria()
    Gets the value of the givenSearchCriteria property.
    Returns:
      possible object is `SearchCriteriaType`

  - ### setGivenSearchCriteria

    public void setGivenSearchCriteria(SearchCriteriaType value)
    Sets the value of the givenSearchCriteria property.
    Parameters:
      `value` - allowed object is `SearchCriteriaType`

  - ### getErrors

    public List<ErrorType> getErrors()
    Gets the value of the errors property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the errors property.

    For example, to add a new item, do as follows:

         getErrors().add(newItem);

    Objects of the following type(s) are allowed in the list `ErrorType`

    Returns:
      The value of the errors property.

  - ### getETK

    public byte[] getETK()
    Gets the value of the etk property.
    Returns:
      possible object is byte[]

  - ### setETK

    public void setETK(byte[] value)
    Sets the value of the etk property.
    Parameters:
      `value` - allowed object is byte[]

  - ### getMatchingEtks

    public List<MatchingEtk> getMatchingEtks()
    Gets the value of the matchingEtks property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the matchingEtks property.

    For example, to add a new item, do as follows:

         getMatchingEtks().add(newItem);

    Objects of the following type(s) are allowed in the list `MatchingEtk`

    Returns:
      The value of the matchingEtks property.